# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "orbit-sense"
version = "0.2.0"
authors = ["Arunkumar Mourougappane <amouroug.dev@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A real-time satellite tracking application with 2D map visualization, orbital pass prediction, and live telemetry."
homepage = "https://github.com/arunkumar-mourougappane/orbit-sense"
documentation = "https://github.com/arunkumar-mourougappane/orbit-sense#readme"
readme = "README.md"
keywords = [
    "satellite",
    "tracking",
    "space",
    "tle",
    "sgp4",
]
categories = [
    "science",
    "visualization",
    "gui",
]
license = "MIT"
repository = "https://github.com/arunkumar-mourougappane/orbit-sense"

[lib]
name = "orbit_sense"
path = "src/lib.rs"

[[bin]]
name = "orbit-sense"
path = "src/bin/orbit-sense.rs"

[dependencies.chrono]
version = "0.4.44"

[dependencies.eframe]
version = "0.33.3"
features = ["persistence"]

[dependencies.egui]
version = "0.33.3"

[dependencies.egui_extras]
version = "0.33.3"
features = ["image"]

[dependencies.env_logger]
version = "0.11.9"

[dependencies.geo-types]
version = "0.7.18"

[dependencies.geocoding]
version = "0.4.0"
features = ["rustls-tls"]

[dependencies.image]
version = "0.25.9"

[dependencies.nav-types]
version = "0.5.2"

[dependencies.rayon]
version = "1.11.0"

[dependencies.reqwest]
version = "0.13.2"
features = [
    "json",
    "rustls",
]

[dependencies.rfd]
version = "0.17.2"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.sgp4]
version = "2.4.0"

[dependencies.tokio]
version = "1.49.0"
features = [
    "rt-multi-thread",
    "macros",
    "full",
]

[dependencies.walkers]
version = "0.52.0"
